External

Parent Previous Next



The rrSubmitter is able to read per node information from a Houdini .hip file.


As it reads the main .hip file as an external application, it cannot evaluate the scene itself and has some restrictions like:



Installation


Please execute the rrWorkstationInstaller to install the submission plugin.


Submission

In Houdini, you have to run the plugin as shown in the screenshot.

(It start the rrSubmitter with your scene as commandline parameter and it adds the version of any renderer used as well (Arnold, Redshift, VRay, Renderman) )





Supported node types




Node locations/names:

The nodes can be 

1) in /out

   OR 

2) in /obj   or   any subfolder of /obj like /obj/myRop/something/

   OR 

3) in /img   or   any subfolder of /img like /img/myRop/something/

   OR 

4) in /stage   or   any subfolder of /img like /img/myRop/something/


For case 2-4, the node names should start with their default name. RR reads nodes that 

start with the name "mantra", "arnold", "rs_", "redshift_", "opengl", "comp", "rop_comp", 

"geo", "geometry", "alembic", "alembicarchive", "ris", "vray", "usd_rop", "usdrender_"

or contain "_geo_"


LOPs: 
LOP nodes used in a LOP network have to start with their default name as well: "hdrprman", "karma"

To render it with Royal Render, you have to use usd or usdrender ROPs.

Option A) Add one of these nodes to your LOP network
Option B) Open /out and add one of these nodes.

In this new usd node, set your Karma (or other renderer) node as "LOP Path".



Restrictions:
If you use USD ROPs, then you have to enter the output filename into the USD ROP 

or you have to enter the filename into the Karma LOP that you pick inside the USD ROP. .

Entering the filename into a separated KarmaRenderProperties node is not supported.


Renderer version

If you submit the scene via the plugin in Houdini, then the plugin tells the rrSubmitter which version of the renderer (Arnold, VRay, Redshift) you are using.


If you start the rrSubmitter manually and load the Houdini scene, then RR does not know which renderer version you want to use.

Therefore you have to specify the renderer version via a commandline flag:
-customRenVer_Arnold 6.0.1
-customRenVer_Redshift  3.5

-customRenVer_VRay   4.1

-customRenVer_prman 20.2



Arnold only: 
You can specify a scene variable in Houdini named HtoA_KickVersion that contains the Arnold version